Access Policy Approval Procedure API
Create Access Policy Approval Procedure
Create a new approval procedure for an access policy.
POST
/
v2
/
access-policies
/
{access_policy_id}
/
approval-procedures
Create Access Policy Approval Procedure
curl --request POST \
--url https://public.api.serval.com/v2/access-policies/{access_policy_id}/approval-procedures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"steps": [
{
"allowSelfApproval": true,
"approvers": [
{
"appOwner": {},
"notify": true
}
],
"customWorkflow": {
"workflowId": "<string>"
},
"approverJustificationMode": "<string>"
}
],
"timeoutSeconds": 123
}
'import requests
url = "https://public.api.serval.com/v2/access-policies/{access_policy_id}/approval-procedures"
payload = {
"steps": [
{
"allowSelfApproval": True,
"approvers": [
{
"appOwner": {},
"notify": True
}
],
"customWorkflow": { "workflowId": "<string>" },
"approverJustificationMode": "<string>"
}
],
"timeoutSeconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
allowSelfApproval: true,
approvers: [{appOwner: {}, notify: true}],
customWorkflow: {workflowId: '<string>'},
approverJustificationMode: '<string>'
}
],
timeoutSeconds: 123
})
};
fetch('https://public.api.serval.com/v2/access-policies/{access_policy_id}/approval-procedures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"accessPolicyId": "<string>",
"steps": [
{
"id": "<string>",
"allowSelfApproval": true,
"approvers": [
{
"appOwner": {},
"notify": true
}
],
"customWorkflow": {
"workflowId": "<string>"
},
"approverJustificationMode": "<string>"
}
],
"timeoutSeconds": 123
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the access policy to create the approval procedure for.
Body
application/json
The approval steps for the procedure.
Show child attributes
Show child attributes
How long each step waits for a human decision before timing out (in seconds). Omit / zero means the server default (30 days). Non-zero values must be within [5 minutes, 90 days].
Response
Success
The created approval procedure.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Access Policy Approval Procedure

